#include "Transition.hpp"

Transition::Transition() {
  iType = -1;
}

Transition::~Transition() {
  //
}

int Transition::GetType() {
  return iType;
}

Chart* Transition::GetResultChart() {
  return pResultChart;
}

void Transition::AddTransition(Transition* pTransition) {
  vChildren.push_back(pTransition);
}

void Transition::Start() {
  bStarted = true;
  oStartTime = QTime::currentTime();
}